Set up an experimental Discovery dashboard which people can push any graphs or features they want to
Closed, ResolvedPublic3 Story Points

Description

Use cases:

  • Graphs for features that people want to make themselves, but aren't high priority enough to get full analyst support
  • Trying out new dashboard features that may be hard and/or fragile
Deskana created this task.Dec 3 2015, 9:24 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to High.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2015, 9:24 PM
mpopov claimed this task.Dec 3 2015, 10:28 PM
mpopov set Security to None.
mpopov edited a custom field.
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 257011 had a related patch set uploaded (by Bearloga):
Adds space for new dashboards

https://gerrit.wikimedia.org/r/257011

Change 257011 merged by Bearloga:
Adds space for new dashboards

https://gerrit.wikimedia.org/r/257011

This comment was removed by mpopov.
mpopov added a comment.EditedDec 8 2015, 4:27 PM

@EBernhardson Please help. For whatever reason https://github.com/wikimedia/wikimedia-discovery-dashboard works.

But https://github.com/wikimedia/wikimedia-discovery-experimental makes http://discovery-experimental.wmflabs.org return 502 Bad Gateway error.

I don't know why. Everything is basically identical. I spent all day yesterday trying to make it work but couldn't.

(The instance: https://wikitech.wikimedia.org/wiki/Nova_Resource:Discovery-experimental.shiny-r.eqiad.wmflabs)

i'll look into this this morning between meetings. An actual solution will probably take till some time this afternnoon due to ~1.5 hours of meetings this morning

Change 257645 had a related patch set uploaded (by EBernhardson):
Add missing directories

https://gerrit.wikimedia.org/r/257645

The attached patch should fix the issue, I've already tried this out on the discovery-experiemental server and everything looks to be happy now.

Mostly i found this by looking for shiny logs (find /var/log | grep shiny), and then looking at /var/log/upstart/shiny-server.log which contained the following:

/bin/sh: 1: /bin/sh: cannot create /srv/experimental/log/shiny-server.log: Directory nonexistent

Change 257645 merged by Bearloga:
Add missing directories

https://gerrit.wikimedia.org/r/257645

mpopov added a comment.Dec 8 2015, 5:34 PM

Thank you so much!!!

mpopov added a comment.EditedDec 8 2015, 5:47 PM

Homepage: http://discovery-experimental.wmflabs.org/

Repository: git clone https://gerrit.wikimedia.org/r/wikimedia/discovery/experimental

Instructions for adding dashboards: https://github.com/wikimedia/wikimedia-discovery-experimental/blob/master/README.md

The following script auto-updates the repository and any submodules that have been added: https://gerrit.wikimedia.org/r/#/c/257755/1/update-submodules.sh It has been scheduled to run every 5 minutes.

Sooo, this is done then?

Sooo, this is done then?

Yep.

Deskana closed this task as Resolved.Dec 17 2015, 6:03 AM